# Uses of Interface
com.sun.jdi.request.AccessWatchpointRequest

Packages that use AccessWatchpointRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of AccessWatchpointRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return AccessWatchpointRequest
Modifier and Type
Method
Description
`AccessWatchpointRequest`
EventRequestManager.`createAccessWatchpointRequest​(Field field)`
Creates a new disabled watchpoint which watches accesses to the specified field.
Methods in com.sun.jdi.request that return types with arguments of type AccessWatchpointRequest
Modifier and Type
Method
Description
`List<AccessWatchpointRequest>`
EventRequestManager.`accessWatchpointRequests()`
Return an unmodifiable list of the enabled and disabled access watchpoint requests.